Subject: Re: why can't one alias `git stash`?

From: Junio C Hamano <[email-masked]>
Date: Mon, 18 Aug 2025 18:01:36 -0700

Christoph Anton Mitterer <[email-masked]> writes:

> As mentioned in the other thread, IMO it sounds rather brittle if
> aliases are considered at all in scripting.

As a program, how would you tell when you are run by a script?

If you are a shell, you go into "interactive" mode when you are
taking your command stream from a tty, and otherwise assume you are
not interactive.  The same trick would not work at all for programs
started by a shell, would it?

Asking script writers to pass "--no-alias" option to all of their
"git" invocation will probably not be a viable way forward, either.